Ship = class("Ship")

function Ship:init(data)
    self.name = data.name or "Ship "..RAND(1,999)
    self.x = data.x or RAND(1,200) 
    self.y = data.y or RAND(1,200)
    self.dockedAt = data.dockedAt or nil
    self.civilization = data.civilization or nil
    self.speed = data.speed or RAND(1,15)
    self.heading = data.heading or 0
    -- print("Created Ship: "..self.name.." at "..self.x..","..self.y..", belongs to "..self.civilization.name.." docked at "..self.dockedAt.name)
end

function Ship:ChangeHeading(targetObject)
	self.heading = ((math.angleBetween(self,targetObject)+360) % 360)
end

function Ship:MoveForward()
    -- Only rotate the the image
    local tempdistance = 2
    local distance_angle = self.heading -90
    local distance_x = tempdistance * COS (RAD(distance_angle));
    local distance_y = tempdistance * SIN (RAD(distance_angle));
    self.x = self.x + distance_x
    self.y = self.y + distance_y
end



--= Return Factory
return Ship