Civilization = class("Civilization")

-- local json = require( "json" )

local function Select_Random_Government()
	local result = {}
	-- Path for the file to read
	local path = system.pathForFile( "/misclua/government_types.json", system.ResourceDirectory )
	 
	-- Open the file handle
	local file, errorString = io.open( path, "r" )
	 
	if not file then
	    -- Error occurred; output the cause
	    print( "File error: " .. errorString )
	else
	    -- Read data from file
	    local contents = file:read( "*a" )
	    -- Output the file contents
	    -- print( "Contents of " .. path .. "\n" .. contents )
	    -- Close the file handle
	    io.close( file )
	    local government_type = json.decode(contents)
	    result = government_type[math.random(1,112)]
	    -- print("Government ",government_type[1].type) -- Debug output to make sure it's really working...
	end
	file = nil
	return result
end

function Civilization:init(name)
	self.name = name or "Empire of Nabzorg"
	self.government = Select_Random_Government()
	self.species = Species:new("Deedlers")
end

--= Return Factory
return Civilization
